org.keycloak.services.managers

## Class ClientManager

- java.lang.Object
- - org.keycloak.services.managers.ClientManager

-     public class ClientManager
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClientManager.InstallationAdapterConfig`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ServicesLogger` | `logger`
    `protected RealmManager` | `realmManager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientManager()`
    `ClientManager(RealmManager realmManager)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClientModel` | `createClient(KeycloakSession session, RealmModel realm, ClientRepresentation rep, boolean addDefaultRoles)` Should not be called from an import.
    `void` | `enableServiceAccount(ClientModel client)`
    `boolean` | `removeClient(RealmModel realm, ClientModel client)`
    `ClientManager.InstallationAdapterConfig` | `toInstallationRepresentation(RealmModel realmModel, ClientModel clientModel, URI baseUri)`
    `String` | `toJBossSubsystemConfig(RealmModel realmModel, ClientModel clientModel, URI baseUri)`
    `Set<String>` | `validateRegisteredNodes(ClientModel client)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected ServicesLogger logger

    - #### realmManager

          protected RealmManager realmManager

  - ### Constructor Detail

    - #### ClientManager

          public ClientManager(RealmManager realmManager)

    - #### ClientManager

          public ClientManager()

  - ### Method Detail

    - #### createClient

          public static ClientModel createClient(KeycloakSession session,
                                                 RealmModel realm,
                                                 ClientRepresentation rep,
                                                 boolean addDefaultRoles)

      Should not be called from an import. This really expects that the client is created from the admin console.
      Parameters:
        `session` -
        `realm` -
        `rep` -
        `addDefaultRoles` -
      Returns:

    - #### removeClient

          public boolean removeClient(RealmModel realm,
                                      ClientModel client)

    - #### validateRegisteredNodes

          public Set<String> validateRegisteredNodes(ClientModel client)

    - #### enableServiceAccount

          public void enableServiceAccount(ClientModel client)

    - #### toInstallationRepresentation

          public ClientManager.InstallationAdapterConfig toInstallationRepresentation(RealmModel realmModel,
                                                                                      ClientModel clientModel,
                                                                                      URI baseUri)

    - #### toJBossSubsystemConfig

          public String toJBossSubsystemConfig(RealmModel realmModel,
                                               ClientModel clientModel,
                                               URI baseUri)

Copyright © 2016 JBoss by Red Hat. All rights reserved.